> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook (v1/v2 cannot be changed; register a new endpoint to switch version)



## OpenAPI

````yaml /api-reference/openapi.yaml put /v2/webhooks/{webhook_nanoid}
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/webhooks/{webhook_nanoid}:
    put:
      tags:
        - B2B Webhooks
      summary: >-
        Update Webhook (v1/v2 cannot be changed; register a new endpoint to
        switch version)
      parameters:
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^wh-.*
          in: path
          name: webhook_nanoid
          required: true
          description: Unique identifier of the Webhook Endpoint.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                events:
                  minItems: 1
                  type: array
                  items:
                    type: string
                secret:
                  type: string
                  minLength: 16
                is_active:
                  type: boolean
                name:
                  description: Optional display name for the webhook.
                  type: string
                  maxLength: 255
                description:
                  description: Optional description for the webhook.
                  type: string
              additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      webhook_nanoid:
                        type: string
                        minLength: 15
                        maxLength: 15
                        pattern: ^wh-.*
                        description: Unique identifier of the Webhook.
                      webhook_version:
                        type: string
                        enum:
                          - v1
                          - v2
                        description: >-
                          Immutable after registration; same value that was set
                          when the endpoint was created.
                      url:
                        type: string
                        format: uri
                      events:
                        type: array
                        items:
                          type: string
                      is_active:
                        type: boolean
                      name:
                        type: string
                        nullable: true
                      description:
                        type: string
                        nullable: true
                    required:
                      - webhook_nanoid
                      - webhook_version
                      - url
                      - events
                      - is_active
                      - name
                      - description
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````